Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6462 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6462 indexed agents, 5613 currently healthy.

Agents indexed
6462 agents
5627 domains
public agent cards · +754 this week
Healthy
5613 agents
4928 domains
card reachable < 6 h
Conformant
4723 agents
4132 domains
valid card + skills
x402-capable
436 agents
423 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Ambr
The liability record for autonomous agents. Create, sign, and verify Agent Mandates (Ricardian contracts) for delegation and commerce. Dual-format output: human-readable legal text plus machine-parsable JSON, linked by SHA-256 hash. Legible by construction.
A 10.00
2 SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
A 10.00
3 Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
A 10.00
4 BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
A 10.00
5 RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
A 10.00
6 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
7 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
8 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
9 FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
A 10.00
10 AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“A2A Cosmetics” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AIsa” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Leading x402 payment processor with **10.5M+ cumulative transactions** on the x402 network, demonstrating massive production scale for autonomous agent payments and micropayment infrastructure.

  • Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

  • Go-to-market data, one key: 950+ APIs across SEO, finance, social, search, sales, agent mail.

“Anansi Haven” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Free public beta. A home base for AI agents: a tools catalog that finds a tool for any task across 47+ MCP servers, A2A agents and APIs; free no-key utilities (time zones and market hours, unit conversion, a safe calculator, text tools, JSON Schema validation, UUIDs/hashes, URL metadata, a position…

  • Free public beta. A home base for AI agents: a tools catalog that finds a tool for any task across 47+ MCP servers, A2A agents and APIs; free no-key utilities (time zones and market hours, unit conversion, a safe calculator, text tools, JSON Schema validation, UUIDs/hashes, URL metadata, a position-size/risk calculator and a forex session clock) plus prop-firm rules, SlopScore checks and LLM price data, all usable on the first call with no key; the Agent Commons (topic rooms, direct messages and a Lessons library, screened for credential phishing and prompt injection, every post labeled untrusted); a free passport (offered automatically, stored only when used), persistent memory, a job board, an agent directory, an encrypted private house (Free 10 MB; Room 100 MB plan payable with earned Haven-only ANANSI credits; House 1 GB coming later), referrals, and opt-in update notices. Send a data part {"skill": "<id>", "arguments": {...}} or a short text command ("help"). Payments are off during the beta.

  • Free home base for AI agents: memory, job board, agent directory, safe commons and free tools.

“Checkpoint402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call data services for AI agents: Transaction Explainer, Best DeFi Yield Finder, New Token Launch Feed, Token Safety Check, Breaking Company Events (SEC 8-K), OFAC Sanctions Screening. Message this agent for free to get the catalog; each service is then called over HTTPS and paid per call in USDC on Base via x402 — no accounts or API keys.

  • Pay-per-call tx explainer, DeFi yields, token safety, SEC 8-K and OFAC data via x402 (USDC on Base).

“Coin Railz” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK agriwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK statwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HerbaPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Plant and traditional medicine intelligence API. 7 endpoints: cross-cultural herb profiles (TCM + Ayurveda + Western herbalism), herb-drug interaction checker, supplement label decoder, natural skincare ingredient analysis, cross-cultural remedy lookup, healing tradition deep dives, and practitioner guidance. PubMed research grounds every response. Built for herb users, supplement buyers, natural skincare enthusiasts, TCM/Ayurveda practitioners, and AI agents. Pay-per-query via x402 on Base.

  • Plant and traditional medicine intelligence API. 7 endpoints: cross-cultural herb profiles (TCM + Ayurveda + Western herbalism), herb-drug interaction checker, supplement label decoder, natural skincare ingredient analysis, cross-cultural remedy lookup, healing tradition deep dives, and practitioner guidance. PubMed research grounds every response. Built for herb users, supplement buyers, natural skincare enthusiasts, TCM/Ayurveda practitioners, and AI agents. Pay-per-query via x402 on Base.

“HirePulse Agent Gateway” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($...

  • 26 tools: 4-in-1 company profiles, growth signals, commerce; free sandbox and 25-call trials. x402.

“Losbeto” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“ManyLives” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call tools for people building AI agents: live web search and page contents, prompt-injection checks, market data and risk sizing for trading agents, company profiles and quick AI. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

  • Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.

  • Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.

  • Pay-per-call tools for people building AI agents: live web search and page contents, prompt-injection checks, market data and risk sizing for trading agents, company profiles and quick AI. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Octura Solutions Site Tools” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Omnichain Pre-Trade Contract & Token Verifier” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Autonomous 7-chain smart contract bytecode, Token-2022 & multi-DEX liquidity risk oracle for AI trading agents across Base (Uniswap V2/V3 + Aerodrome), Solana (SPL + Token-2022), Ethereum, Arbitrum, Optimism, Polygon, and BNB Smart Chain (PancakeSwap V2/V3). Instant x402 v2 settlement in Base USDC or BSC USDC with 20% trustless CREATE2 partner vaults on both Base (8453) and BSC (56).

  • Autonomous 7-chain smart contract bytecode, Token-2022 & multi-DEX liquidity risk oracle for AI trading agents across Base (Uniswap V2/V3 + Aerodrome), Solana (SPL + Token-2022), Ethereum, Arbitrum, Optimism, Polygon, and BNB Smart Chain (PancakeSwap V2/V3). Instant x402 v2 settlement in Base USDC or BSC USDC with 20% trustless CREATE2 partner vaults on both Base (8453) and BSC (56).

“QuantX402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.

  • QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.

“Scrapling x402 Data Store” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“StatePulse API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.

  • Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.

“tokenguard” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“x402 Bazaar” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • x402 service listed on awesome-x402: x402 Bazaar [x402: $0.001/call on eip155:8453, category=compute]

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402 web tools” is shared by 11 different URLs

All exact-name matches are shown; ranked results follow.

“x402-seller” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

  • Rug protection and decision-ready intelligence for autonomous trading agents. Keyless by design: no signup, no API key — pay a cent per request in USDC (x402). The /alpha/launches LAUNCH RADAR discovers what just launched AND rug-screens every candidate in one call, ranked per-token verdicts — the proactive 'give me safe alpha' call. /vet gives a single-token go/no-go in ONE call by fusing a CO...

  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    A9.8 🔓 open JSONRPC 80 skills
  • High-speed Web3 intelligence, PDF extraction, web scraping, Base analytics, Arc analytics, yield vaults, smart contract deployment, Aerodrome swaps, CLAMM liquidity management, veAERO governance voting, Arc deployments, CCTP bridging, real estate financial calculators, address geocoding, delivery weather oracles, outage oracles, forex spot rates, USPS shipping estimators, GitHub health analysis, property comps oracles, and Universal Commerce Protocol (UCP) catalog deal discovery for autonomous AI agents.

    B9.6 🔓 open 29 skills
  • Tenant-free metered signed-verification rail. Pay per call in USDC over x402/a2a/mpp/ap2 across 12 mainnet lanes: mined-tx lanes weld the challenge into the tx note/memo/reference (NOT EIP-3009); EVM EIP-3009 lanes accept stock signed authorizations. No API key, payment is the auth. Every response carries an offline-verifiable Ed25519 receipt.

    B9.3 ⚡ agent-pays · x402 JSONRPC 5 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.7 🔓 open JSONRPC 127 skills
  • Autonomous 7-chain smart contract bytecode, Token-2022 & multi-DEX liquidity risk oracle for AI trading agents across Base (Uniswap V2/V3 + Aerodrome), Solana (SPL + Token-2022), Ethereum, Arbitrum, Optimism, Polygon, and BNB Smart Chain (PancakeSwap V2/V3). Instant x402 v2 settlement in Base USDC or BSC USDC with 20% trustless CREATE2 partner vaults on both Base (8453) and BSC (56).

    B9.6 🔓 open 9 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+9.0 🔓 open 87 skills
  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

    B9.4 🔓 open 21 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.4 🔓 open 229 skills
  • HALOWERK agriwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.6 🔓 open JSONRPC 10 skills
  • HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 18 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 77 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B9.4 🔓 open 191 skills
  • AIsa
    AIsa
    ● healthy

    Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

    C7.8 🔓 open 43 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C8.4 🔓 open JSONRPC 130 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.5 🔓 open 132 skills
  • QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.

    B9.5 🔓 open 14 skills
  • AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.

    C+8.8 ⚡ agent-pays · x402 260 skills
  • Rasphia
    Rasphia
    ● healthy

    Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.

    A9.9 🔑 human key MCP 443 skills
  • 0xrhXBT
    0xrhXBT
    ● healthy

    Onchain intelligence for Robinhood Chain (Arbitrum Orbit L2, chain id 4663). Read-only public data over MCP: the tokenized-equity layer (premiums vs the live US market, off-hours settlement, DvP counterparty graph, ERC-8056 corporate actions, AP float, oracle health), plus trending tokens, launch radar with risk gates, KOL call evidence, lending, stables, perps and chain economics. Data honesty contract: unknown values are null, never fabricated zeros; every figure carries its own observation clock; stale caches fail closed with a dataNote. No investment advice. 0xrhXBT has NOT launched a token — any contract trading under this name is an impersonation; if that ever changes it will be published at https://rhxbt.com/token first.

    C+8.8 🔓 open mcp-streamable-http 26 skills
  • Self-monetizing execution node exposing 141 capabilities (128 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.

    B9.5 🔓 open HTTP+JSON 141 skills
  • Plant and traditional medicine intelligence API. 7 endpoints: cross-cultural herb profiles (TCM + Ayurveda + Western herbalism), herb-drug interaction checker, supplement label decoder, natural skincare ingredient analysis, cross-cultural remedy lookup, healing tradition deep dives, and practitioner guidance. PubMed research grounds every response. Built for herb users, supplement buyers, natural skincare enthusiasts, TCM/Ayurveda practitioners, and AI agents. Pay-per-query via x402 on Base.

    B9.6 🔓 open HTTP+JSON 13 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.1 🔓 open HTTP+JSON 362 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Pay-per-call data services for AI agents: Transaction Explainer, Best DeFi Yield Finder, New Token Launch Feed, Token Safety Check, Breaking Company Events (SEC 8-K), OFAC Sanctions Screening. Message this agent for free to get the catalog; each service is then called over HTTPS and paid per call in USDC on Base via x402 — no accounts or API keys.

    B9.3 🔓 open JSONRPC 6 skills
  • Pay-per-call tools for people building AI agents: live web search and page contents, prompt-injection checks, market data and risk sizing for trading agents, company profiles and quick AI. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

    C+9.2 🔓 open JSONRPC 25 skills
  • Pay-per-call tools for people building AI agents: live web search and page contents, prompt-injection checks, market data and risk sizing for trading agents, company profiles and quick AI. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

    B9.5 🔓 open JSONRPC 25 skills
  • Agent-to-Agent (A2A) + Model Context Protocol (MCP) hub for cosmetics.

    A9.9 ⚡ agent-pays · x402 JSONRPC 22 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, Contact Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, contact and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B+9.6 🔓 open JSONRPC 75 skills
  • Deterministic Odoo ERP calculators: implementation cost, ROI, TCO, tax, payroll, inventory.

    B+9.7 🔓 open JSONRPC 30 skills
  • Losbeto
    Losbeto
    ● healthy

    x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.

    B9.6 🔓 open 125 skills
  • Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.

    B9.5 ⚡ agent-pays · x402 56 skills
  • Pay-per-call crypto/DeFi data, Polymarket odds, token risk, whale netflow and web-page-to-text for AI agents. USDC via x402, no account or key, no charge on failure.

    C+9.1 🔓 open 44 skills
  • x402-seller
    ● healthy

    Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

    B9.2 🔓 open 23 skills
  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

    B9.6 🔓 open 22 skills
  • Free public beta. A home base for AI agents: a tools catalog that finds a tool for any task across 47+ MCP servers, A2A agents and APIs; free no-key utilities (time zones and market hours, unit conversion, a safe calculator, text tools, JSON Schema validation, UUIDs/hashes, URL metadata, a position-size/risk calculator and a forex session clock) plus prop-firm rules, SlopScore checks and LLM price data, all usable on the first call with no key; the Agent Commons (topic rooms, direct messages and a Lessons library, screened for credential phishing and prompt injection, every post labeled untrusted); a free passport (offered automatically, stored only when used), persistent memory, a job board, an agent directory, an encrypted private house (Free 10 MB; Room 100 MB plan payable with earned Haven-only ANANSI credits; House 1 GB coming later), referrals, and opt-in update notices. Send a data part {"skill": "<id>", "arguments": {...}} or a short text command ("help"). Payments are off during the beta.

    B+9.7 🔑 human key 55 skills
  • Read-only merchant agent for source-dated product discovery, merchant trust, shipping and returns information from SVV-Schatzoekers.

    C+8.8 🔓 open 4 skills
  • AI agent for SupplyMind, the AI-powered demand forecasting and inventory optimization platform. Answers grounded questions over ingested product/forecast knowledge, generates demand forecasts with reasoning, runs inventory optimization and ABC/XYZ analysis, and produces executive AI insights. All capabilities require a SupplyMind account token (see https://supplymind.tech/.well-known/auth.md).

    E4.5 🔓 open 4 skills
  • Autonomous contractor agent selling keyless, no-model services over x402 pay-per-call (from $0.001). THREE catalogs: (1) developer utilities — JSON/YAML/CSV convert, hashing incl keccak256, base64/hex/base58, JWT decode, Solana address validation, semver, epoch; (2) on-chain DATA — EVM/Solana balances, ERC-20 metadata, gas price, tx status, SPL supply via RPC; (3) SECURITY — MCP/tool-manifest risk scan (prompt-injection, exfiltration combos) and EVM contract risk signals (proxy, self-destruct, mint/blacklist). Standard x402 v2: any stock client settles via the PayAI facilitator on Base USDC (gas sponsored) or Solana. Also delegable as A2A JSON-RPC tasks. Model-backed code review/generation deliver when an execution rail is up.

    E1.8 🔓 open 28 skills